curl --request GET \
--url https://api.byblend.com/api/v1/patients/{patient_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/patients/{patient_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/patients/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"first_name": "Willard",
"middle_name": "Moises",
"last_name": "Donnelly",
"gender": "male",
"email": "Harmon43@gmail.com",
"phone": "6417383445",
"date_of_birth": "1990-01-01",
"driver_license_number": "B49188319",
"driver_license_state": "CA",
"ssn": "123456789",
"primary_language": "en",
"guardian_name": "John Guardian",
"guardian_phone": "6417383445",
"guardian_email": "parent@example.com",
"guardian_relationship": "parent",
"height_inches": 72,
"weight_pounds": 180,
"external_id": "1234567890",
"is_smoker": false,
"is_diabetic": false,
"is_pregnant": false,
"receive_sms": true,
"receive_email": true,
"address": {
"address_1": "140 Lindgren Streets",
"city": "North Consueloburgh",
"state": "CA",
"zip_code": "02108",
"address_2": "Apt 227",
"country": "US"
},
"is_minor": false
}Get a patient's details
Retrieve details for a specific patient by their unique ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the patient, either UUID or external ID (e.g. my-patients-128318AA2) if you have provided one during patient creation or update.
"98cae3a3-996c-4bf5-9143-0ab6d98bc1d0"
Response
Successful response with patient details
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
"Willard"
"Moises"
"Donnelly"
Gender of the patient
male, female "male"
"Harmon43@gmail.com"
10-digit phone number without formatting, e.g. 6417383445
"6417383445"
"1990-01-01"
"B49188319"
"CA"
Social Security number. Can be provided with or without hyphens.
"123456789"
ISO 639-1 language code
"en"
Name of the patient's guardian. Required if patient is a minor.
"John Guardian"
"6417383445"
"parent@example.com"
Relationship of the guardian to the patient. See relationship types lookup for available values; most common are parent and legal_guardian; and other can be used.
"parent"
Height of the patient in inches
72
Weight of the patient in pounds
180
External (your own) ID for the patient, to be used for prescription matching
"1234567890"
Whether the patient is a smoker
false
Whether the patient is diabetic
false
Whether the patient is pregnant
false
Whether the patient should receive SMS notifications for shipments. This is only applicable if you have authorized Blend to send patient communications on your behalf.
true
Whether the patient should receive email notifications for shipments. This is only applicable if you have authorized Blend to send patient communications on your behalf.
true
Show child attributes
Show child attributes
Whether the patient is a minor. Automatically calculated based on date of birth.
false